KHE::ValueColumnInterface Class Referenceabstract

`#include <valuecolumninterface.h>`

## Public Types

enum | KCoding { HexadecimalCoding =0, DecimalCoding =1, OctalCoding =2, BinaryCoding =3, MaxCodingId =0xFFFF }
enum | KResizeStyle { NoResize =0, LockGrouping =1, FullSizeUsage =2, MaxResizeStyleId =0xFF }

## Public Member Functions

virtual KResizeStyle | resizeStyle () const =0
virtual int | noOfBytesPerLine () const =0
virtual KCoding | coding () const =0
virtual int | byteSpacingWidth () const =0
virtual int | noOfGroupedBytes () const =0
virtual int | groupSpacingWidth () const =0
virtual int | binaryGapWidth () const =0
virtual void | setResizeStyle (KResizeStyle Style)=0
virtual void | setNoOfBytesPerLine (int NoCpL)=0
virtual void | setCoding (KCoding C)=0
virtual void | setByteSpacingWidth (int BSW)=0
virtual void | setNoOfGroupedBytes (int NoGB)=0
virtual void | setGroupSpacingWidth (int GSW)=0
virtual void | setBinaryGapWidth (int BGW)=0

## Detailed Description

Interface for the value displaying column of a hexedit widget.

Author
  Friedrich W. H. Kossebau Fried.nosp@m.rich.nosp@m..W.H@.nosp@m.Koss.nosp@m.ebau..nosp@m.de

See also
  createBytesEditWidget(), valueColumnInterface()

Since
  3.2

Definition at line 32 of file valuecolumninterface.h.

## Member Enumeration Documentation

enum KHE::ValueColumnInterface::KCoding

collection of ids for the different numeric codings of a byte

Enumerator
HexadecimalCoding | hexadecimal encoding
DecimalCoding | decimal encoding
OctalCoding | octal encoding
BinaryCoding | bit by bit coding

Definition at line 36 of file valuecolumninterface.h.

enum KHE::ValueColumnInterface::KResizeStyle

collection of ids for the fitting of the layout into the available widget's width

Enumerator
NoResize | we don't care about the actual sizing of the widget but stick to the given NoOfBytesPerLine
LockGrouping | we try to fit the layout to the available width but only with full groups like set in NoOfGroupedBytes with minimum of one full group
FullSizeUsage | we try to fit as many bytes into the width as possible, with minimum of 1 byte

Definition at line 51 of file valuecolumninterface.h.

## Member Function Documentation

virtual int KHE::ValueColumnInterface::binaryGapWidth | ( |  | ) | const

pure virtual

Returns
  the gap in the middle of a binary (in pixels)

See also
  setBinaryGapWidth()

virtual int KHE::ValueColumnInterface::byteSpacingWidth | ( |  | ) | const

pure virtual

Returns
  the spacing between bytes (in pixels)

See also
  setByteSpacingWidth()

virtual KCoding KHE::ValueColumnInterface::coding | ( |  | ) | const

pure virtual

Returns
  the current coding

See also
  setCoding()

virtual int KHE::ValueColumnInterface::groupSpacingWidth | ( |  | ) | const

pure virtual

Returns
  the spacing between groups of bytes (in pixels)

See also
  setGroupSpacingWidth()

virtual int KHE::ValueColumnInterface::noOfBytesPerLine | ( |  | ) | const

pure virtual

Returns
  the current number of bytes per line

See also
  setNoOfBytesPerLine()

virtual int KHE::ValueColumnInterface::noOfGroupedBytes | ( |  | ) | const

pure virtual

Returns
  the current number of bytes per group

See also
  setNoOfGroupedBytes()

virtual KResizeStyle KHE::ValueColumnInterface::resizeStyle | ( |  | ) | const

pure virtual

Returns
  the current resize style

See also
  setResizeStyle()

virtual void KHE::ValueColumnInterface::setBinaryGapWidth | ( | int | BGW | ) |

pure virtual

sets the spacing in the middle of a binary encoded byte.

Default is 1.

Parameters

  BGW | spacing in the middle of a binary (in pixels)

See also
  binaryGapWidth()

virtual void KHE::ValueColumnInterface::setByteSpacingWidth | ( | int | BSW | ) |

pure virtual

sets the spacing between the bytes.

Default is 3.

Parameters

  BSW | new spacing between bytes (in pixels)

See also
  byteSpacingWidth()

virtual void KHE::ValueColumnInterface::setCoding | ( | KCoding | C | ) |

pure virtual

sets the format of the hex column.

If the coding is not available the format will not be changed. Default is `HexadecimalCoding`.

Parameters

  C |

See also
  coding()

virtual void KHE::ValueColumnInterface::setGroupSpacingWidth | ( | int | GSW | ) |

pure virtual

sets the spacing between the groups.

Default is 9.

Parameters

  GSW | new spacing width (in pixels)

See also
  groupSpacingWidth()

virtual void KHE::ValueColumnInterface::setNoOfBytesPerLine | ( | int | NoCpL | ) |

pure virtual

sets the number of bytes per line, switching the resize style to `NoResize` Default is 16.

Parameters

  NoCpL | new number of bytes per line

See also
  noOfBytesPerLine()

virtual void KHE::ValueColumnInterface::setNoOfGroupedBytes | ( | int | NoGB | ) |

pure virtual

sets the numbers of grouped bytes, 0 means no grouping.

Default is 4.

Parameters

  NoGB | new number of bytes per group

See also
  noOfGroupedBytes()

virtual void KHE::ValueColumnInterface::setResizeStyle | ( | KResizeStyle | Style | ) |

pure virtual

sets the resize style for the hex column.

Default is `FullSizeUsage`

Parameters

  Style | new style

See also
  resizeStyle()

The documentation for this class was generated from the following file:

- valuecolumninterface.h

KDE Home | KDE Accessibility Home | Description of Access Keys